Skip to content

Notification for Settlement

Request

Request Body schema

eventCode
string<= 32 characters
Required
Enum: Settlement
Used to indicate the type of a Notification - Usage Instruction 1. Filed Type: String(32)
payment
object
This object includes related information for an original Payment transaction which has been successfully processed in EVO Cloud - Usage Instruction 1. This field is used in response for the API of Payment, Cancel, Capture, Refund and DataSubmission 2. This field is used in Notification for the API of Payment, Cancel, Capture and Refund, DataSubmission and Settlement Notification 3. In Settlement Notification, if the original transaction is a payment, this object will be returned.
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant - Usage Instruction 1. For GET PaymentMethod response, If merchant sends merchantTransID in GET PaymentMethod request, EVO Cloud will return this object. 2. EVO Cloud may include this object in response.
refund
object
Required
This is the related information for the Refund transaction processed - Usage Instruction 1. This is used in response of POST Refund and GET Refund 2. This field is used in Notification for the API of Refund, Cancel and Refund and Settlement Notification 3. In Settlement Notification, if the original transaction is a refund, this object will be returned.
settlement
object
Required
This object includes settlement Information. - Usage Instruction 1. This field is used in Settlement Notification.
storeInfo
object
Required
Supplemental store information need to be provided by merchant - Usage definition: 1. To indicate MCC for this merchant when the store is assigned multiple MCCs in EVO Cloud 2. To indicate the store information for this merchant when settlement notification.
Try it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/settlement webhook in the request' \
 -d '{
  "eventCode": "string",
  "payment": {
    "billingAmount": {
      "currency": "string",
      "value": "string"
    },
    "billingFXRate": {
      "baseCurrency": "string",
      "quoteCurrency": "string",
      "value": "string"
    },
    "convertTransAmount": {
      "currency": "string",
      "value": "string"
    },
    "convertTransFXRate": {
      "baseCurrency": "string",
      "date": "string",
      "quoteCurrency": "string",
      "source": "string",
      "value": "string"
    },
    "discount": {
      "discountAmount": {
        "currency": "string",
        "value": "string"
      },
      "discountInfo": [
        {
          "currency": "string",
          "discountType": "string",
          "subDiscountAmount": {},
          "value": "string"
        }
      ],
      "payAmount": {
        "currency": "string",
        "value": "string"
      }
    },
    "evoTransInfo": {
      "evoTransID": "string",
      "evoTransTime": "string",
      "retrievalReferenceNum": "string",
      "traceNum": "string"
    },
    "failureCode": "string",
    "failureReason": "string",
    "localAmount": {
      "currency": "string",
      "value": "string"
    },
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "pspTransInfo": {
      "authorizationCode": "string",
      "cvcCheckResult": "string",
      "cvcCheckResultRaw": "string",
      "pspTransID": "string",
      "pspTransTime": "string"
    },
    "status": "string",
    "transAmount": {
      "currency": "string",
      "value": "string"
    }
  },
  "paymentMethod": {
    "bankTransfer": {
      "accountNumber": "string",
      "paymentBrand": "string"
    },
    "buyNowPayLater": {
      "paymentBrand": "string"
    },
    "card": {
      "first6No": "string",
      "fundingType": "string",
      "holderName": "string",
      "isCommercial": true,
      "issuerCountry": "string",
      "issuingBank": "string",
      "issuingCountry": "string",
      "last4No": "string",
      "paymentBrand": "string",
      "productID": "string"
    },
    "carrierBilling": {
      "paymentBrand": "string"
    },
    "cash": {
      "paymentBrand": "string"
    },
    "e-wallet": {
      "consumerAccount": "string",
      "consumerId": "string",
      "paymentBrand": "string"
    },
    "onlineBanking": {
      "issuingCompany": "string",
      "paymentBrand": "string"
    },
    "paymentMethodVariant": "string",
    "points": {
      "paymentBrand": "string"
    },
    "prepaidCard": {
      "paymentBrand": "string"
    },
    "recurringReference": "string",
    "token": {
      "createTime": "string",
      "expiryDate": "string",
      "fingerprint": "string",
      "first6No": "string",
      "last4No": "string",
      "status": "string",
      "updateTime": "string",
      "userReference": "string",
      "value": "string",
      "vaultID": "string"
    }
  },
  "refund": {
    "billingAmount": {
      "currency": "string",
      "value": "string"
    },
    "billingFXRate": {
      "baseCurrency": "string",
      "quoteCurrency": "string",
      "value": "string"
    },
    "convertTransAmount": {
      "currency": "string",
      "value": "string"
    },
    "convertTransFXRate": {
      "baseCurrency": "string",
      "date": "string",
      "quoteCurrency": "string",
      "source": "string",
      "value": "string"
    },
    "evoTransInfo": {
      "evoTransID": "string",
      "evoTransTime": "string",
      "retrievalReferenceNum": "string",
      "traceNum": "string"
    },
    "failureCode": "string",
    "failureReason": "string",
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "pspTransInfo": {
      "authorizationCode": "string",
      "pspTransID": "string",
      "pspTransTime": "string",
      "retrievalReferenceNum": "string"
    },
    "status": "string",
    "transAmount": {
      "currency": "string",
      "value": "string"
    }
  },
  "settlement": {
    "dispute": {
      "arn": "string",
      "disputeAmount": {
        "currency": "string",
        "value": "string"
      },
      "disputeCode": "string",
      "disputeDate": "string",
      "disputeMessage": "string",
      "disputeSettlementAmount": {
        "currency": "string",
        "value": "string"
      },
      "disputeType": "string",
      "fullOrPartial": "string",
      "operationTime": "string",
      "processAmount": {
        "currency": "string",
        "value": "string"
      },
      "processOrderNumber": "string",
      "recordReferenceNumber": "string",
      "remarks": "string",
      "status": "string"
    },
    "fee": {
      "collectMDR": "string",
      "collectionMethod": "string",
      "endDate": "string",
      "item": "string",
      "mdrAmount": {
        "currency": "string",
        "value": "string"
      },
      "monthlyFeeCollectionDate": "string",
      "operationTime": "string",
      "processAmount": {
        "currency": "string",
        "value": "string"
      },
      "recordReferenceNumber": "string",
      "remarks": "string",
      "startDate": "string",
      "status": "string"
    },
    "holdAndRelease": {
      "operationTime": "string",
      "recordReferenceNumber": "string",
      "remarks": "string",
      "status": "string"
    },
    "type": "string"
  },
  "storeInfo": {
    "sid": "string",
    "storeID": "string"
  }
}'
JavaScript
fetch(
`https://online-uat.everonet.com/settlement webhook in the request`,
{
  method: 'post',
  body: '{
  "eventCode": "string",
  "payment": {
    "billingAmount": {
      "currency": "string",
      "value": "string"
    },
    "billingFXRate": {
      "baseCurrency": "string",
      "quoteCurrency": "string",
      "value": "string"
    },
    "convertTransAmount": {
      "currency": "string",
      "value": "string"
    },
    "convertTransFXRate": {
      "baseCurrency": "string",
      "date": "string",
      "quoteCurrency": "string",
      "source": "string",
      "value": "string"
    },
    "discount": {
      "discountAmount": {
        "currency": "string",
        "value": "string"
      },
      "discountInfo": [
        {
          "currency": "string",
          "discountType": "string",
          "subDiscountAmount": {},
          "value": "string"
        }
      ],
      "payAmount": {
        "currency": "string",
        "value": "string"
      }
    },
    "evoTransInfo": {
      "evoTransID": "string",
      "evoTransTime": "string",
      "retrievalReferenceNum": "string",
      "traceNum": "string"
    },
    "failureCode": "string",
    "failureReason": "string",
    "localAmount": {
      "currency": "string",
      "value": "string"
    },
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "pspTransInfo": {
      "authorizationCode": "string",
      "cvcCheckResult": "string",
      "cvcCheckResultRaw": "string",
      "pspTransID": "string",
      "pspTransTime": "string"
    },
    "status": "string",
    "transAmount": {
      "currency": "string",
      "value": "string"
    }
  },
  "paymentMethod": {
    "bankTransfer": {
      "accountNumber": "string",
      "paymentBrand": "string"
    },
    "buyNowPayLater": {
      "paymentBrand": "string"
    },
    "card": {
      "first6No": "string",
      "fundingType": "string",
      "holderName": "string",
      "isCommercial": true,
      "issuerCountry": "string",
      "issuingBank": "string",
      "issuingCountry": "string",
      "last4No": "string",
      "paymentBrand": "string",
      "productID": "string"
    },
    "carrierBilling": {
      "paymentBrand": "string"
    },
    "cash": {
      "paymentBrand": "string"
    },
    "e-wallet": {
      "consumerAccount": "string",
      "consumerId": "string",
      "paymentBrand": "string"
    },
    "onlineBanking": {
      "issuingCompany": "string",
      "paymentBrand": "string"
    },
    "paymentMethodVariant": "string",
    "points": {
      "paymentBrand": "string"
    },
    "prepaidCard": {
      "paymentBrand": "string"
    },
    "recurringReference": "string",
    "token": {
      "createTime": "string",
      "expiryDate": "string",
      "fingerprint": "string",
      "first6No": "string",
      "last4No": "string",
      "status": "string",
      "updateTime": "string",
      "userReference": "string",
      "value": "string",
      "vaultID": "string"
    }
  },
  "refund": {
    "billingAmount": {
      "currency": "string",
      "value": "string"
    },
    "billingFXRate": {
      "baseCurrency": "string",
      "quoteCurrency": "string",
      "value": "string"
    },
    "convertTransAmount": {
      "currency": "string",
      "value": "string"
    },
    "convertTransFXRate": {
      "baseCurrency": "string",
      "date": "string",
      "quoteCurrency": "string",
      "source": "string",
      "value": "string"
    },
    "evoTransInfo": {
      "evoTransID": "string",
      "evoTransTime": "string",
      "retrievalReferenceNum": "string",
      "traceNum": "string"
    },
    "failureCode": "string",
    "failureReason": "string",
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "pspTransInfo": {
      "authorizationCode": "string",
      "pspTransID": "string",
      "pspTransTime": "string",
      "retrievalReferenceNum": "string"
    },
    "status": "string",
    "transAmount": {
      "currency": "string",
      "value": "string"
    }
  },
  "settlement": {
    "dispute": {
      "arn": "string",
      "disputeAmount": {
        "currency": "string",
        "value": "string"
      },
      "disputeCode": "string",
      "disputeDate": "string",
      "disputeMessage": "string",
      "disputeSettlementAmount": {
        "currency": "string",
        "value": "string"
      },
      "disputeType": "string",
      "fullOrPartial": "string",
      "operationTime": "string",
      "processAmount": {
        "currency": "string",
        "value": "string"
      },
      "processOrderNumber": "string",
      "recordReferenceNumber": "string",
      "remarks": "string",
      "status": "string"
    },
    "fee": {
      "collectMDR": "string",
      "collectionMethod": "string",
      "endDate": "string",
      "item": "string",
      "mdrAmount": {
        "currency": "string",
        "value": "string"
      },
      "monthlyFeeCollectionDate": "string",
      "operationTime": "string",
      "processAmount": {
        "currency": "string",
        "value": "string"
      },
      "recordReferenceNumber": "string",
      "remarks": "string",
      "startDate": "string",
      "status": "string"
    },
    "holdAndRelease": {
      "operationTime": "string",
      "recordReferenceNumber": "string",
      "remarks": "string",
      "status": "string"
    },
    "type": "string"
  },
  "storeInfo": {
    "sid": "string",
    "storeID": "string"
  }
}'
})
  .then(response => response.json())
  .then(data => console.log(data));
Response Samples
application/octet-stream
json